Subject: deploy and reboot

From: Gabriel Wicki <[email-masked]>
Date: Tue, 04 Feb 2025 17:43:14 +0100

Hi Richard!

I just stumbled over the same issue and while i am not really sure what
to think about the screen/tmux/SIGHUP proposal (does this apply to all
deploy commands or just a more fancy/sophisticated usage scenario?) i'd
go with the special --reboot flag to the deploy command that

 1. causes a reboot and then

 2. waits for the machine(s) to come back up.

I am not sure whether this is possible already, but will happily dive in
a little further (and prepare a patch if circumstances allow).

Have a nice week,
gabber